//======================================================================================================================
//
//  This file is part of waLBerla. waLBerla is free software: you can
//  redistribute it and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
//  waLBerla is distributed in the hope that it will be useful, but WITHOUT
//  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with waLBerla (see COPYING.txt). If not, see <http://www.gnu.org/licenses/>.
//
//! \file util.h
//! \author Markus Holzer <markus.holzer@fau.de>
//
//======================================================================================================================

#pragma once

#include "core/DataTypes.h"
#include "core/math/Vector3.h"

namespace walberla::lbm_generated
{

inline real_t viscosityFromOmega( const real_t omega )
{
   static const real_t one_third = real_c(1.0) / real_c(3.0);
   return ( real_c(1.0) / omega - real_c(0.5) ) * one_third;
}

inline real_t omegaFromViscosity( const real_t viscosity )
{
   return real_c(1.0) / ( real_c(0.5) + real_c(3.0) * viscosity );
}

} // namespace walberla::lbm_generated